package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingOpenHeartbeatRequest struct {
	/*
	   心跳信息     */
	HeartBeat *domain.AlibabaWdkMarketingOpenHeartbeatHeartBeatBo `json:"heart_beat" required:"true" `
}

func (s *AlibabaWdkMarketingOpenHeartbeatRequest) SetHeartBeat(v domain.AlibabaWdkMarketingOpenHeartbeatHeartBeatBo) *AlibabaWdkMarketingOpenHeartbeatRequest {
	s.HeartBeat = &v
	return s
}

func (req *AlibabaWdkMarketingOpenHeartbeatRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.HeartBeat != nil {
		paramMap["heart_beat"] = util.ConvertStruct(*req.HeartBeat)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingOpenHeartbeatRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
